using JiShe.CollectBus.Protocol.Interfaces;

namespace JiShe.CollectBus.Protocol.T37612012.Appendix
{
    public class Appendix_A17 : IAnalysisStrategy<List<string>>
    {
        public async Task<bool> ExecuteAsync(List<string> data, Action<dynamic>? result = null)
        {
            data.Reverse();
            string datasStr= string.Join("", data);
            result?.Invoke(datasStr);
            return await Task.FromResult(true);
        }
    }
}
